function tulos=dpFromMob(mob,lambda,visc)

%Calculate diameter from mobility

dp=1e-9*ones(size(mob));
dpt=ones(size(mob));

e=1.602e-19;
while max(max(abs(dp-dpt) ./dpt)) > 1e-6
dp=dpt;
dpt=e*( 1.0+ lambda ./dp .*(2.514+0.800*exp(-0.55*dp/lambda)) )./(3*pi*visc*mob);
end

tulos=dpt;
end

