function res=ltubefl(dp,plength,pflow,temp,visc,lambda)
% Tube losses laminar flow



K=1.38e-23;
% particle diffusivity
D=(K*temp*(1.0+ lambda ./dp .*(2.514+0.800*exp(-0.55*dp/lambda)))) ./(3*3.14*visc*dp);

rmuu=pi*D*plength/pflow;

for i=1:length(dp)
if rmuu(i) < 0.02
res(i)=1-2.56*rmuu(i)^(2/3)+1.2*rmuu(i)+0.177*rmuu(i)^(4/3);
else
res(i)=0.819*exp(-3.657*rmuu(i))+0.097*exp(-22.3*rmuu(i))+0.032*exp(-57*rmuu(i));
end
end
